안녕하세요!
리습없이 못사는 템빨 설계팀 막내입니다…!
예시 이미지인데요,
우측 블럭 처럼 드래그로도 선택이 가능하고, 다중 선택도 가능하게 해주실 수 있나요?
리습을 사용할때, 객체 한개를 정확하게 딱 누르지 않으면 바로 리습이 꺼져서요 ㅠ
그리고 제가 선택을 도통 한건지 아닌지 티가 안나서,
선택 후에 선택한 객체는 이미지처럼 파랗게 표시가 나도록도 가능한가요?
;;——————-=={ Match Attribs }==——————–;;
;; ;;
;; Prompts for selection of source attribute, then proceeds ;;
;; to match the listed properties for subsequently picked ;;
;; attributes. ;;
;;————————————————————;;
;; Author: Lee Mac, Copyright ?2010 – http://www.lee-mac.com ;;
;;————————————————————;;
(defun c:MAA ( / properties source )
(vl-load-com)
;; ?Lee Mac 2010
;; List of Properties to Match, may be edited to suit
;;————————————————————;;
(setq properties
‘(
Backward
Height
Layer
Linetype
LinetypeScale
Lineweight
ObliqueAngle
Rotation
ScaleFactor
StyleName
Thickness
UpsideDown
)
)
;;————————————————————;;
(if (setq source
(LM:Selectif
(lambda ( x )
(eq “ATTRIB” (cdr (assoc 0 (entget x))))
)
nentsel “nSelect Source Attribute: ”
)
)
(
(lambda ( properties values / dest )
(while
(setq dest
(LM:Selectif
(lambda ( x )
(eq “ATTRIB” (cdr (assoc 0 (entget x))))
)
nentsel “nSelect Destination Attributes: ”
)
)
(setq dest (vlax-ename->vla-object dest))
(mapcar
(function
(lambda ( property value )
(vlax-put-property dest property value)
)
)
properties values
)
)
)
properties
(progn (setq source (vlax-ename->vla-object source))
(mapcar
(function
(lambda ( property ) (vlax-get-property source property))
)
properties
)
)
)
)
(princ)
)
;;———————=={ Select if }==———————-;;
;; ;;
;; Continuous selection prompts until the predicate function ;;
;; foo is validated ;;
;;————————————————————;;
;; Author: Lee Mac, Copyright ?2010 – http://www.lee-mac.com ;;
;;————————————————————;;
;; Arguments: ;;
;; foo – optional predicate function taking ename argument ;;
;; fun – selection function to invoke ;;
;; str – prompt string ;;
;;————————————————————;;
;; Returns: selected entity ename if successful, else nil ;;
;;————————————————————;;
(defun LM:Selectif ( foo fun str / e )
;; ?Lee Mac 2010
(while
(progn (setq e (car (fun str)))
(cond
( (eq ‘ENAME (type e))
(if (and foo (not (foo e)))
(princ “n** Invalid Object Selected **”)
)
)
)
)
)
e
)
https://youtu.be/3cldeGcLNgc?si=t5AEFeIk2MGPzVca
이미 충분히 서치후 해결안돼서 올린 질문글이었어요..!
감사하지만 올려주신 영상은 이미 구글링 첫번째로 떠서 바로 확인 했던 영상입니다!
해당 영상의 리습은 lsp파일이 아니고, 확장자 변경이 불가한것 같아 해외사이트에서 찾아온 리습파일 수정을 요청드린겁니다 ^^
fas는 lsp를 컴파일 한 확장자로, lsp와 사용법이 같습니다.
확장자를 바꿀 이유가 없어요.
네 로드법은 알고있습니다만, 명령어 변경이 어려워서요.
추가로 명령어 변경을 하려면 또 리습을 넣고 수정해야한다고하니
정 안된다면 그방법을 선택하겠지만
그전에 이곳에서 도움을 받아보려고 합니다.
pgp 파일 편집이 어렵다면…뭐…별 수 없죠